#ifndef RENDER_H
#define RENDER_H


#include <math.h>
#include "main.h"


typedef float vector[3];
#define X 0
#define Y 1
#define Z 2

#define DEFAULT_ZOOM 10
#define VEC_DEG_TO_RAD 0.017453293
#define VEC_RAD_TO_DEG 57.29578
#define	M_PI		3.14159265358979323846


int render(void);
int movecam(float timespan);
void resetcamera(void);



#endif